Loading...
Searching...
No Matches
BALL::TCPIOStream Class Reference

`#include <BALL/SYSTEM/networking.h>`

Inheritance diagram for BALL::TCPIOStream:

## Public Member Functions

| TCPIOStream ()
| TCPIOStream (const String &hostname, const String &protocol)
| TCPIOStream (const String &hostname, Position port)

## Detailed Description

This class provides a very thin layer around the asio (or boost::asio, depending on your setup) functions for handling asynchronous io.

Please use this class instead of asio directly whenever possible, since we want to encapsulate a number of details (asio - namespace, correct names of header files, ...) to allow boost-integrated asio as well as the pure library.

Definition at line 29 of file networking.h.

## Constructor & Destructor Documentation

## TCPIOStream() [1/3]

BALL::TCPIOStream::TCPIOStream | ( |  | ) |

inline

Definition at line 33 of file networking.h.

## TCPIOStream() [2/3]

BALL::TCPIOStream::TCPIOStream | ( | const String & | hostname,
|  | const String & | protocol )

inline

Definition at line 38 of file networking.h.

## TCPIOStream() [3/3]

BALL::TCPIOStream::TCPIOStream | ( | const String & | hostname,
|  | Position | port )

inline

Definition at line 44 of file networking.h.